Title: Exclude endpoint use and overview
Author: staff
Published: August 1, 2022
Last modified: November 12, 2025

---

 1. [The Parse.ly API](https://docs.parse.ly/api/)
 2. [Endpoints](https://docs.parse.ly/api/api-endpoints/)
 3. Exclude endpoint use and overview

#  Exclude endpoint use and overview

**Purpose:** the Exclude endpoint helps you to manage a list of URLs that we should
exclude from the results of other API endpoints. You may add or remove URLs from
the exclusion list and retrieve a list of currently excluded URLs.

**Prerequisite:** You will need to provide your API secret with this endpoint.

**Limitations:** We will exclude each URL for a maximum of 90 days and then automatically
evict it from the exclusion list. We allow 200 URLs per Site ID to be excluded at
a time.

## GET /exclude/ignore

Add a URL to the list of ignored URLs.

### Query Parameters

| url | Canonical URL for page being trained against profile. |

## GET /exclude/include

Remove a URL from the list of ignored URLs.

### Query Parameters

| url | Canonical URL for page being trained against profile. |

## GET /exclude/list

Returns the list of currently excluded URLs.

## Examples

Add a URL to the list of excluded URLs:

    ```lang-php
    https://api.parsely.com/v2/exclude/ignore?apikey=example.com&secret=secretvalue&url=https://exampleurl.com
    ```

Remove a URL from the list of excluded URLs:

    ```lang-php
    https://api.parsely.com/v2/exclude/include?apikey=example.com&secret=secretvalue&url=https://exampleurl.com
    ```

Retrieve the list of excluded URLs:

    ```lang-php
    https://api.parsely.com/v2/exclude/list?apikey=example.com&secret=secretvalue
    ```

## FAQ

### What happens if you exclude an aliased (non-canonical) URL?

If you add an alias URL to the exclusion list, it won’t have any practical effect.
API queries return canonical URLs. So, if you submit an alias value, we will still
return the canonical.

### If we use 󠀁[Post IDs](https://docs.parse.ly/using-post-id-in-parse-ly-metadata/)󠁿 in our metadata, does that change anything?

Using the /exclude endpoint will be challenging if you use Post IDs to alias posts
together. This endpoint relies on input from a canonical URL because it assumes 
you’re using canonical URLs for aliasing.

Last updated: November 12, 2025